## andrewerf-tray-control.zip

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.23)
project(tray_control)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fconcepts-diagnostics-depth=10")

add_subdirectory(3rdparty/cxxopts)
include_directories(3rdparty/magic_enum/include)

find_package(sdbus-c++ REQUIRED)
find_package(fmt REQUIRED)

add_library(core STATIC src/StatusNotifierWatcher.cpp src/StatusNotifierItem.cpp)
target_link_libraries(core SDBusCpp::sdbus-c++)

add_executable(tray-show src/tray-show.cpp)
target_link_libraries(tray-show core cxxopts fmt)

add_executable(tray-activate src/tray-activate.cpp)
target_link_libraries(tray-activate core cxxopts fmt)

install(TARGETS tray-show tray-activate)

=== PKGBUILD ===
pkgname=tray-control-git
pkgver=0.0.0
pkgrel=1
arch=('x86_64')

depends=('systemd-libs'
         'fmt'
         'sdbus-cpp')

makedepends=('git'
             'cmake')

provides=('tray-control')

pkgdesc="Simple CLI tool to show items in systray and activate them. Build on top of DBus"

url="https://github.com/andrewerf/tray-control"

source=('git+https://github.com/andrewerf/tray-control.git'
        'git+https://github.com/Neargye/magic_enum.git'
        'git+https://github.com/jarro2783/cxxopts.git')

md5sums=('SKIP'
         'SKIP'
         'SKIP')

license=('GPL3')

pkgname_no_git=${pkgname/-git/}

pkgver(){
    cd $pkgname_no_git
    printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

prepare(){
    cd $pkgname_no_git
    git submodule init
    git config submodule.magic_enum.url 3rdparty/magic_enum
    git config submodule.cxxopts.url 3rdparty/cxxopts
    git submodule update --init
}

build() {
    cd $pkgname_no_git
    mkdir -p build
    cd build
    cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release ..
    make
}

package() {
    cd $pkgname_no_git/build
    DESTDIR="$pkgdir/" cmake --install .
}
